Language Selection

English French German Italian Portuguese Spanish

SQLite 3.28.0 and Gnuastro 0.9 Released

Filed under
GNU
OSS
Sci/Tech
  • SQLite Release 3.28.0
  • SQLite 3.28 Released With More Feature Additions, Performance Enhancements

    SQLite 3.28 is now the latest version of this widely-used, embed-friendly cross-platform database library.

    As is the case for most SQLite releases, new features and performance enhancements are the principle changes. SQLite 3.28 presents enhanced window functions, enhancements to its TCL interface, various CLI improvements, new API additions, security improvements to its tokenizer, more robust handling against corrupt database files, and various fixes.

  • Gnuastro 0.9 released

    I am happy to announce the 9th stable release of GNU Astronomy
    Utilities (Gnuastro).

    Gnuastro is an official GNU package consisting of various command-line
    programs and library functions for the manipulation and analysis of
    (astronomical) data. All the programs share the same basic
    command-line user interface (modeled on GNU Coreutils). For the full
    list of Gnuastro's library, programs, and a comprehensive general
    tutorial (recommended place to start using Gnuastro), please see the
    links below respectively:

    https://www.gnu.org/s/gnuastro/manual/html_node/Gnuastro-library.html
    https://www.gnu.org/s/gnuastro/manual/html_node/Gnuastro-programs-list.html
    https://www.gnu.org/s/gnuastro/manual/html_node/General-program-usage-tutorial.html

    Many features have been added and Gnuastro has become much more stable
    with the many bugs that were found and fixed (see [1], below). The most
    interesting new feature may be that Gnuastro now also installs scripts
    (with this naming convention: `astscript-*'). Since Gnuastro's
    programs are designed to be highly modular, they are relatively
    low-level. With this new feature, it is now very easy to include
    common higher-level operations within Gnuastro also, for example to
    call multiple programs together, or use a single program's outputs in
    a special way. With version 0.9, only one script is installed (as
    described in [1]), but because of their high-level nature, we expect
    many more to be added soon. If you commonly run several Gnuastro
    programs together for a certain operation, please share it with us so
    we add it as a script for everyone to use.

More in Tux Machines

Lubuntu 20.10 (Groovy Gorilla) BETA testing

We are pleased to announce that the beta images for Lubuntu 20.10 have been released! While we have reached the bugfix-only stage of our development cycle, these images are not meant to be used in a production system. We highly recommend joining our development group or our forum to let us know about any issues. Read more

Plasma and the systemd startup

Landing in master, plasma has an optional new startup method to launch and manage all our KDE/Plasma services via a system --user interface rather than the current boot scripts. This will be available in Plasma 5.21. It is currently opt-in, off by default. I hope to make it the default where available after more testing and feedback, but it is important to stress that the current boot-up method will exist and be supported into the future. A lot of work was put into splitting and tidying so the actual amount of duplication in the end result is quite small and manageable. Read more

today's howtos

Mozilla Thunderbird 78.3 Is Out and You Can Finally Upgrade from Earlier Versions

Mozilla Thunderbird 78.3 open-source and free email client has arrived with more improvements and bug fixes, and you can now finally upgrade from older Thunderbird releases. When Thunderbird 78 launched earlier this year, it didn’t support automatic upgrades from version 68 or earlier. Automatic upgrade was blocked intentionally due to the revamped extension system that only supports MailExtensions, not classic extensions, to no break your Thunderbird installations. Three months later, Mozilla enabled automatic upgrades in Thunderbird with version 78.2.2 released a couple of weeks ago. Now Thunderbird 78.3 is out and it disables the installation of “legacy” MailExtensions. Read more